Velocity Reviews - Computer Hardware Reviews

Velocity Reviews > Newsgroups > Programming > Ruby > Fail to Install Gems - My First Gems

Reply
Thread Tools

Fail to Install Gems - My First Gems

 
 
Foolish Brat
Guest
Posts: n/a
 
      09-01-2007
Dear all,

I was trying to install first ruby gems.
I have successfully done the following:

$ ruby setup.rb config --prefix=/home/mystuff
$ ruby setup.rb setup

But when I run this command:

$ ruby setup.rb install

...sth..
As of RubyGems 0.8.0, library stubs are no longer needed.
Searching $LOAD_PATH for stubs to optionally delete (may take a
while)...
...done.
No library stubs found.

Consequently I can't install antying like that with Gems.
"gem" command doesn't work.

$ gem --help
/home/ewijaya/.ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:32:in
`gem_original_require': no such file to load -- sources (LoadError)
from
/home/ewijaya/.ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:32:in
`require'
from
/home/ewijaya/.ruby/lib/ruby/site_ruby/1.8/rubygems/source_info_cache.rb:6



How can I resolve this problem?

I am using:
ruby 1.8.6 (2007-03-13 patchlevel 0) [i686-linux]


--
Edward
--
Posted via http://www.ruby-forum.com/.

 
Reply With Quote
 
 
 
 
Corey Jewett
Guest
Posts: n/a
 
      09-01-2007
On Aug 31, 2007, at 9:58 PM, Foolish Brat wrote:

> Dear all,
>
> I was trying to install first ruby gems.
> I have successfully done the following:
>
> $ ruby setup.rb config --prefix=/home/mystuff
> $ ruby setup.rb setup
>
> But when I run this command:
>
> $ ruby setup.rb install
>
> ...sth..
> As of RubyGems 0.8.0, library stubs are no longer needed.
> Searching $LOAD_PATH for stubs to optionally delete (may take a
> while)...
> ...done.
> No library stubs found.
>
> Consequently I can't install antying like that with Gems.
> "gem" command doesn't work.
>
> $ gem --help
> /home/ewijaya/.ruby/lib/ruby/site_ruby/1.8/rubygems/
> custom_require.rb:32:in
> `gem_original_require': no such file to load -- sources (LoadError)
> from
> /home/ewijaya/.ruby/lib/ruby/site_ruby/1.8/rubygems/
> custom_require.rb:32:in
> `require'
> from
> /home/ewijaya/.ruby/lib/ruby/site_ruby/1.8/rubygems/
> source_info_cache.rb:6


You probably need to:

$ export GEM_HOME=/home/mystuff/gems

Corey

 
Reply With Quote
 
 
 
 
Foolish Brat
Guest
Posts: n/a
 
      09-01-2007
Corey Jewett wrote:
> On Aug 31, 2007, at 9:58 PM, Foolish Brat wrote:
>
>> $ ruby setup.rb install
>>
>> source_info_cache.rb:6

> You probably need to:
>
> $ export GEM_HOME=/home/mystuff/gems
>
> Corey


Hi Corey,

Yes I already have that, in my .bash_profile

export GEM_HOME=/home/ewijaya/.rubygem:

Which then I run this command:
$ ruby setup.rb config --prefix=/home/ewijaya/.rubygem
..etc..

but the problem still remains.

--
Posted via http://www.ruby-forum.com/.

 
Reply With Quote
 
Mark T
Guest
Posts: n/a
 
      09-01-2007
Had this recently.
Search your system for sources-0.0.1.gem
then:
gem install /path/to/sources-0.0.1.gem

YMMV.

MarkT

 
Reply With Quote
 
Eric Hodel
Guest
Posts: n/a
 
      09-10-2007
On Aug 31, 2007, at 22:58, Foolish Brat wrote:
> Corey Jewett wrote:
>> On Aug 31, 2007, at 9:58 PM, Foolish Brat wrote:
>>
>>> $ ruby setup.rb install
>>>
>>> source_info_cache.rb:6

>> You probably need to:
>>
>> $ export GEM_HOME=/home/mystuff/gems
>>
>> Corey

>
> Hi Corey,
>
> Yes I already have that, in my .bash_profile
>
> export GEM_HOME=/home/ewijaya/.rubygem:
>
> Which then I run this command:
> $ ruby setup.rb config --prefix=/home/ewijaya/.rubygem
> ..etc..
>
> but the problem still remains.


You want GEM_PATH, not GEM_HOME.

--
Poor workers blame their tools. Good workers build better tools. The
best workers get their tools to do the work for them. -- Syndicate Wars



 
Reply With Quote
 
 
 
Reply

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Can't install gems after a new ubuntu install Max Williams Ruby 12 07-13-2008 07:41 PM
Gems -- #include <gems.hpp> Tomás C++ 7 03-05-2006 02:48 PM
'private' gems/gems hierarchy Dany Cayouette Ruby 3 11-25-2005 10:55 PM
Confusion about gems and non-gems working together. Lloyd Zusman Ruby 3 06-20-2005 11:23 PM
if (f() != FAIL) or if (FAIL != f())? Wenjie C Programming 3 07-31-2003 09:54 PM



Advertisments